###############################################################################
# (c) Copyright 2000-2021 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
if(NOT COMMAND lhcb_find_package)
  # Look for LHCb find_package wrapper
  find_file(LHCbFindPackage_FILE LHCbFindPackage.cmake)
  if(LHCbFindPackage_FILE)
      include(${LHCbFindPackage_FILE})
  else()
      # if not found, use the standard find_package
      macro(lhcb_find_package)
          find_package(${ARGV})
      endmacro()
  endif()
endif()

# -- Public dependencies
lhcb_find_package(Rec REQUIRED)

find_package(Boost 1.62 REQUIRED headers)
find_package(ROOT 6.20 REQUIRED
    Core
    Hist
    RooFit
    TreePlayer
)

find_package(Python REQUIRED Development)

# -- Private dependencies
if(WITH_Analysis_PRIVATE_DEPENDENCIES)
    find_package(AIDA REQUIRED)
    find_package(Boost REQUIRED regex)
    find_package(FastJet REQUIRED)
    find_package(GSL REQUIRED)
    find_package(Python REQUIRED Interpreter)
    find_package(Rangev3 REQUIRED)
    find_package(ROOT REQUIRED
        GenVector
        Gpad
        MathCore
        Physics
        RIO
        TMVA
        Tree
    )

    if(ROOT_VERSION VERSION_LESS 6.22)
        find_package(ROOT REQUIRED PyROOT)
        add_library(ROOT::ROOTTPython ALIAS ROOT::PyROOT)
    else()
        find_package(ROOT REQUIRED ROOTTPython)
    endif()

endif()
